=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.4),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kblocks
@@ -32,10 +32,10 @@
 
 Package: kblocks
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: khelpcenter
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Recommends: khelpcenter,
+Breaks: ${kde-l10n:all},
+Replaces: ${kde-l10n:all},
 Description: falling blocks game
  KBlocks is a single player falling blocks puzzle game, a Tetris-like
  replacement for KSirtet.
